> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Charging Stations

Returns a paginated list of charging station objects. Use the available query parameters to filter by location, compatibility, availability, proximity, favorites, or route context.

<RequestExample>
  ```bash cURL theme={null}
  curl -G https://api.chargeapi.co/v1/charging_stations \
    -H "Authorization: Bearer ch_sk_test_..." \
    -d limit=10
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": [
          {
              "id": "chst_3PWdYA62gD9YdJldE9Pj9OrcIV1wrmAl",
              "object": "charging_station",
              "address": {
                  "city": "Paris",
                  "country": "FR",
                  "line1": "10 Rue de la Paix",
                  "line2": "Batiment A",
                  "postal_code": "75002",
                  "state": "Ile-de-France"
              },
              "availability": {
                  "connectors_available": 3,
                  "connectors_total": 8,
                  "opening_hours": [
                      {
                          "day": "mon",
                          "from": "08:00",
                          "until": "20:00"
                      }
                  ],
                  "range": [
                      {
                          "from": "2026-04-01T01:30:55.103Z",
                          "until": "2026-04-01T02:31:20.332Z"
                      }
                  ]
              },
              "capabilities": {
                  "24_7_access": false,
                  "amenities": ["cafe", "restrooms", "wifi"],
                  "payment_methods": ["credit_card", "rfid"],
                  "requires_membership": false,
                  "reservable": true
              },
              "connectors": [
                  {
                      "id": "connector_a1",
                      "power": 150,
                      "status": "available",
                      "type": "CCS"
                  },
                  {
                      "id": "connector_a2",
                      "power": 150,
                      "status": "occupied",
                      "type": "CCS"
                  }
              ],
              "created": "2026-04-01T00:31:02.493Z",
              "location": {
                  "latitude": 48.8698,
                  "longitude": 2.3319
              },
              "name": "Example Station",
              "operator": "Example Operator",
              "operator_contact": "support@example.com",
              "pricing": [
                  {
                      "currency": "eur",
                      "price": 42,
                      "step_size": 1,
                      "tax": "vat",
                      "type": "ENERGY"
                  }
              ],
              "status": "active",
              "updated": "2026-04-01T01:31:12.733Z"
          }
      ],
      "next_page_url": "https://api.chargeapi.co/v1/charging_stations?page=page_CGNmZusEe5g4KFtalA2ylrjlKVAMGwwLohsA8K8azbQ&limit=10",
      "previous_page_url": null
  }
  ```
</ResponseExample>

## Parameters

<ParamField query="limit" type="integer">
  Maximum number of objects to return (default 10).
</ParamField>

<ParamField query="page" type="string">
  Page token from a previous list response.
</ParamField>

## Returns

Returns a page of charging stations.

<ResponseField name="data" type="array of object" required>
  Array of charging station objects.
</ResponseField>

<ResponseField name="next_page_url" type="string | null" required>
  URL for the next page of results, or `null` when there is no next page.
</ResponseField>

<ResponseField name="previous_page_url" type="string | null" required>
  URL for the previous page of results, or `null` when there is no previous page.
</ResponseField>
